# Defang Pulumi Provider

![GitHub tag (latest by date)](https://img.shields.io/github/v/tag/DefangLabs/pulumi-defang?label=Version)

The Pulumi provider for [Defang - a radically simpler way to develop, deploy, and debug cloud applications](https://defang.io). The easiest way to deploy your Docker Compose project to the cloud with Pulumi.

## Installation

The Defang provider is available as a package in most Pulumi languages:

* JavaScript/TypeScript: [`@defang/pulumi`](https://www.npmjs.com/package/@defang/pulumi)
* Python: [`pulumi-defang`](https://pypi.org/project/pulumi-defang/)
* Go: [`github.com/checkly/pulumi-defang/sdk/v1/go/defang`](https://github.com/DefangLabs/pulumi-defang)


## Authentication

The Checkly provider must be Authenticated with Defang and with your cloud provider.
Sign up for [Defang](https://www.defang.io) and follow our [integration guide](https://docs.defang.io/docs/tutorials/pulumi-provider-integration/) to get set up.

## Example usage

You can find working JavaScript and TypeScript code samples in the [`./examples`](https://github.com/DefangLabs/pulumi-defang/tree/main/examples) directory.

## Reference

For detailed reference documentation, please visit [the Pulumi registry](https://www.pulumi.com/registry/packages/defang/api-docs/).

## Development

See the [Contributing](CONTRIBUTING.md) doc.
